---
title: "LeadPerfection open periods for an event type (calendar worker only)"
description: "Returns signed slot ids and wall-clock times. States are available, no_availability, needs_zip, provider_unavailable, invalid_vendor_response, profile_incomplete or disabled. Never returns native slots and never exposes LeadPerfection counters."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Integrations

`GET /api/leadperfection/forward-look/internal/availability`

Returns signed slot ids and wall-clock times. States are available, no_availability, needs_zip, provider_unavailable, invalid_vendor_response, profile_incomplete or disabled. Never returns native slots and never exposes LeadPerfection counters.

## Query parameters

- `workspace_id` (`get/api/leadperfection/forward-look/internal/availability.query.workspace_id`; string, required)
- `event_type_id` (`get/api/leadperfection/forward-look/internal/availability.query.event_type_id`; string, required)
- `zip` (`get/api/leadperfection/forward-look/internal/availability.query.zip`; string, optional)
- `contact_id` (`get/api/leadperfection/forward-look/internal/availability.query.contact_id`; string, optional)
- `phone` (`get/api/leadperfection/forward-look/internal/availability.query.phone`; string, optional)

## Header parameters

- `x-lp-availability-secret` (`get/api/leadperfection/forward-look/internal/availability.header.x-lp-availability-secret`; string, required)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.channelautomation.com/api/leadperfection/forward-look/internal/availability?workspace_id=string&event_type_id=string' \
  --header 'x-lp-availability-secret: string'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/leadperfection/forward-look/internal/availability?workspace_id=string&event_type_id=string';
const options = {method: 'GET', headers: {'x-lp-availability-secret': 'string'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/leadperfection/forward-look/internal/availability?workspace_id=string&event_type_id=string"

headers = {"x-lp-availability-secret": "string"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Availability state and days

### 401

Missing or wrong secret


Source: https://developer.channelautomations.com/api/get-api-leadperfection-forward-look-internal-availability/index.md
